"Progress bar" based on Institution selected preferences

Bug #1259538 reported by Gregor Anželj on 2013-12-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Gregor Anželj

Bug Description

The idea is to take anzeljg's "Progress bar" plugin, which has static set of artefacts that it observes and based on those artefacts it calculates the Profile completeness. The plugin could be extended in a way to implement page/dashboard for institution admins which would list all available artefacts and the admins would select which artefacts should count towards Profile completeness for their institution.

Changed in mahara:
assignee: nobody → Gregor Anželj (gregor-anzelj)
Changed in mahara:
importance: Undecided → Wishlist
status: New → In Progress
tags: added: nominatedfeature
Steven (stevens-q) wrote :

=== How to Test ===
1. Created 2 Institutions
2. In the progress bar setting page choose some different profile fields for both newly created institutions
3. Add a user to both the newly created institutions and make them admins
4. log in as that user
5. confirm that the profile completeness block changes when you add information in the institution as mentioned in the Profile completeness tips located directly under the progress bar

=== Test Results ===
5. confirmed that the profile completeness block changes when you add information in the institution as mentioned in the Profile completeness tips located directly under the progress bar ✔

== Bug ==
As a super admin and viewing the Institutions -> Progress bar (<site name>/admin/users/progressbar.php) I see a Profile completeness with a progress bar that never moves - the Profile completeness tips can be changed but the progress bar never changes - is this just an example of this functionality by adding completeness tips? If this is the case, the title of this section on the right hand side of the page should be marked as such.

Catalyst QA Failed ✘

Gregor Anželj (gregor-anzelj) wrote :

Steven hi.

That's exactly what it is. The purpose is to preview and see which artefacts have been selected to count towards institution's profile completeness. That is the reason, that that progress bar always remains at 0%.

I'll change the title.

Steven (stevens-q) wrote :

Title changed to "Profile completeness preview"

Catalyst QA Approved ✔

Reviewed: https://reviews.mahara.org/2935
Committed: http://gitorious.org/mahara/mahara/commit/486b6c9dd941cf711556f72358365acccdea9eec
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 486b6c9dd941cf711556f72358365acccdea9eec
Author: Gregor Anzelj <email address hidden>
Date: Wed Jan 15 13:44:41 2014 +0100

Profile completeness progress bar (Bug #1259538)

- added ability for file and blogpost items that get updated via js to
also update the proogess bar as well without needing page reload.

-- made the system more pluggable and created a pseudo plugin called
'social' to handle the social progress bar items

Change-Id: I39c83018879b4717667ad32a6aa28cf902e42137
Signed-off-by: Gregor Anzelj <email address hidden>

Robert Lyon (robertl-9) on 2014-03-27
Changed in mahara:
milestone: none → 1.9.0
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3125

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3130

Reviewed: https://reviews.mahara.org/3124
Committed: http://gitorious.org/mahara/mahara/commit/b6e51195acbc557c3e56e65e7c4eac3cfb8ee49b
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b6e51195acbc557c3e56e65e7c4eac3cfb8ee49b
Author: Aaron Wells <email address hidden>
Date: Thu Mar 27 15:44:10 2014 +1300

Refactor progress bar meta-artefact stuff a little bit

Bug 1259538

Change-Id: I22cc9e1f1b996cea41bd0811ebaa807d630e87e2

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3130
Committed: http://gitorious.org/mahara/mahara/commit/e91494df8b05f14a51654a29bba9ef6a779cb253
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit e91494df8b05f14a51654a29bba9ef6a779cb253
Author: Robert Lyon <email address hidden>
Date: Fri Mar 28 09:35:05 2014 +1300

Getting the social artefacttypes counted via metaartefact count

Bug #1259538

Change-Id: If9a1cd6dbde57bad455239830a5701bb2957fc1a
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3125
Committed: http://gitorious.org/mahara/mahara/commit/aaa5045aa45c5ed0b252547e66d27ced2b201de9
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit aaa5045aa45c5ed0b252547e66d27ced2b201de9
Author: Aaron Wells <email address hidden>
Date: Thu Mar 27 15:46:02 2014 +1300

Let the "file" progressbar item match any file type

Bug 1259538

Change-Id: I7a64699484ea431bad09a3a154564366aaf272c4

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3140

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3141

Reviewed: https://reviews.mahara.org/3139
Committed: http://gitorious.org/mahara/mahara/commit/592ec7367bcd780f698a01b657d5ad758c38e288
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 592ec7367bcd780f698a01b657d5ad758c38e288
Author: Aaron Wells <email address hidden>
Date: Mon Mar 31 13:39:54 2014 +1300

Refactoring progress bar to remove serialize() and improve pluggability

Bug 1259538

Change-Id: Ia16408369a06516e4bfebe3c0d92e77c17303678

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3144

Reviewed: https://reviews.mahara.org/3140
Committed: http://gitorious.org/mahara/mahara/commit/dcd4af9b2f344276bf975d43766d2bae05a942a2
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit dcd4af9b2f344276bf975d43766d2bae05a942a2
Author: Aaron Wells <email address hidden>
Date: Mon Mar 31 14:22:34 2014 +1300

Refactoring so that 3rd-party plugins will have a default task string

Bug 1259538

Change-Id: Ifb09d2b9f9c9d4fbe3ef461c0bb12e81624c2138

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3141
Committed: http://gitorious.org/mahara/mahara/commit/bee8db6330ff2e5a8957a215132de06c4e16c5db
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit bee8db6330ff2e5a8957a215132de06c4e16c5db
Author: Aaron Wells <email address hidden>
Date: Mon Mar 31 15:11:04 2014 +1300

Set progressbar order for core artefacts

Bug 1259538

Change-Id: Iec129bdcd71d9dd48cfbada5cb4b106e9d4a89e3

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3143
Committed: http://gitorious.org/mahara/mahara/commit/651200716ade44bf493298744cd78e8e657a2502
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 651200716ade44bf493298744cd78e8e657a2502
Author: Aaron Wells <email address hidden>
Date: Mon Mar 31 16:12:01 2014 +1300

Getting rid of the placeholder "Social" artefact plugin

Bug 1259538: We created a new artefact plugin called "social" to hold
three of the profile completion tasks. But I think this is too much
overhead just for that, so I'm folding them into the "internal" and
"comment" plugins.

(In the long run, we should probably make it possible for *any* plugin
type to add progress bar tasks, and then add these as local plugins or
something.)

Change-Id: I7d129069325f45409be0c73dedd6ddcc3db17489

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3144
Committed: http://gitorious.org/mahara/mahara/commit/121ace7963428cb5b8b80d51814a631e069607f3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 121ace7963428cb5b8b80d51814a631e069607f3
Author: Aaron Wells <email address hidden>
Date: Mon Mar 31 18:19:50 2014 +1300

Fix the user setting so it matches the text in the progress bar sideblock

Bug 1259538

Change-Id: Ie4f433d034dc5c9f1373ef87ab1b6c88d8b1fd13

Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers